httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Aleksey Serba <ase...@voltweb.com>
Subject Re[2]: [users@httpd] httpd ( 1.3.x / 2.0.x ) + mod_include + recursive include
Date Wed, 17 Mar 2004 03:02:04 GMT
    Joshua and Andre,
    
    Thank you very much for your quick answer!

>>     Hello All!
>> 
>>     I think I found bug in recursive include check ( mod_include ).
>>     Before submitting the bug, I decide to post message to mailing
>>     list ( Maybe i missed something? )

>> error_log: ... [error] Recursive include of "test2.shtml?3" in parsed file .../test2.shtml

JS> I think that falls under the category "Don't do that!" ;-)
I beg to differ a bit :)

JS> I believe that some code has already been checked in to remove the
JS> mod_include recursion check, since there is now a general
JS> subrequest-recursion check that will catch these things.  This should
JS> allow what you want, since it allows recursion up to a specified level.
Good news :)

AM> Heh :-)
AM> It *was* removed so far in 2.1. It seems, that it's worth to remove it at
AM> least in 2.0 as well...
AM>
AM> I'd say, 2.0.50 or so.
One more thanks!


Best regards,
     Aleksey


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message